package domain


type AlibabaTclsAelophyOrderReceiptQueryApiResult struct {
    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        接口状态     */
    Status  *bool `json:"status,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        打印商家/顾客联小票数据列表     */
    OrderList  *[]AlibabaTclsAelophyOrderReceiptQueryReceiptDTO `json:"order_list,omitempty" `

}

func (s *AlibabaTclsAelophyOrderReceiptQueryApiResult) SetErrCode(v string) *AlibabaTclsAelophyOrderReceiptQueryApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryApiResult) SetStatus(v bool) *AlibabaTclsAelophyOrderReceiptQueryApiResult {
    s.Status = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryApiResult) SetErrMsg(v string) *AlibabaTclsAelophyOrderReceiptQueryApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaTclsAelophyOrderReceiptQueryApiResult) SetOrderList(v []AlibabaTclsAelophyOrderReceiptQueryReceiptDTO) *AlibabaTclsAelophyOrderReceiptQueryApiResult {
    s.OrderList = &v
    return s
}
